Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.composition
Enum XAlignmentEnum

    java.lang.Object
      java.lang.Enum<XAlignmentEnum>
          org.pdfclown.documents.contents.composition.XAlignmentEnum

All Implemented Interfaces:
  Serializable, Comparable<XAlignmentEnum>

    public enum XAlignmentEnum

extends Enum<XAlignmentEnum>

Horizontal alignment.

Since:
  0.1.2
Version:
  0.1.2, 01/20/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Center`
`Justify`
`Left`
`Right`

Method Summary
`static XAlignmentEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XAlignmentEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Left

    public static final XAlignmentEnum Left

### Right

    public static final XAlignmentEnum Right

### Center

    public static final XAlignmentEnum Center

### Justify

    public static final XAlignmentEnum Justify

Method Detail

### values

    public static XAlignmentEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XAlignmentEnum c : XAlignmentEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XAlignmentEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.